Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.jeri
Interface InvocationLayerFactory

All Known Implementing Classes:
  AbstractILFactory

public interface InvocationLayerFactory

A factory for creating a compatible proxy and invocation dispatcher for a remote object being exported. An `InvocationLayerFactory` is used in conjunction with the `BasicJeriExporter` class to customize remote invocation and dispatch behavior for remote objects.

Since:
  2.0

Nested Class Summary
`static class` | `InvocationLayerFactory.Instances` A container for the proxy and invocation dispatcher instances returned by `InvocationLayerFactory.createInstances`.

Method Summary
`InvocationLayerFactory.Instances` | `createInstances(Remote impl, ObjectEndpoint oe, ServerCapabilities caps)` Returns a compatible proxy and invocation dispatcher for a remote object being exported.

Method Detail

### createInstances

    public InvocationLayerFactory.Instances createInstances(Remote impl,
                                                            ObjectEndpoint oe,
                                                            ServerCapabilities caps)
                                                     throws ExportException

  Returns a compatible proxy and invocation dispatcher for a remote object being exported. The proxy and invocation dispatcher are returned in an `InvocationLayerFactory.Instances` container object. The proxy sends calls to the remote object using the supplied `ObjectEndpoint`.

  The returned proxy implements an implementation-specific set of remote interfaces of `impl` and may implement additional implementation-specific interfaces.

  A given `Exporter` implementation should only call this method once per export. An invocation dispatcher constructed for a previous export should not be reused.

  Parameters:
    `impl` - the remote object that the proxy is being created for
    `oe` - the object endpoint used to communicate with the remote object
    `caps` - the transport capabilities of the server
  Returns:
    a proxy and invocation dispatcher contained in an `Instances` object
  Throws:
    `ExportException` - if there is a problem creating the proxy or dispatcher
    `NullPointerException` - if any argument is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved